Index: firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/w5300_interface_tb/struct.bd
===================================================================
--- firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/w5300_interface_tb/struct.bd	(revision 10914)
+++ firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/w5300_interface_tb/struct.bd	(revision 10914)
@@ -0,0 +1,4470 @@
+DocumentHdrVersion "1.1"
+Header (DocumentHdr
+version 2
+dmPackageRefs [
+(DmPackageRef
+library "IEEE"
+unitName "STD_LOGIC_1164"
+itemName "ALL"
+)
+(DmPackageRef
+library "IEEE"
+unitName "NUMERIC_STD"
+itemName "ALL"
+)
+(DmPackageRef
+library "ieee"
+unitName "std_logic_unsigned"
+)
+]
+instances [
+(Instance
+name "Inst_W5300_Interface"
+duLibraryName "FACT_FAD_lib"
+duName "w5300_interface"
+elements [
+]
+mwi 0
+uid 65,0
+)
+(Instance
+name "U_1"
+duLibraryName "FACT_FAD_TB_lib"
+duName "w5300_interface_tester"
+elements [
+]
+mwi 0
+uid 179,0
+)
+(Instance
+name "U_2"
+duLibraryName "FACT_FAD_TB_lib"
+duName "clock_generator"
+elements [
+(GiElement
+name "clock_period"
+type "time"
+value "20 ns"
+)
+(GiElement
+name "reset_time"
+type "time"
+value "50 ns"
+)
+]
+mwi 0
+uid 617,0
+)
+]
+libraryRefs [
+"IEEE"
+]
+)
+version "29.1"
+appVersion "2009.2 (Build 10)"
+noEmbeddedEditors 1
+model (BlockDiag
+VExpander (VariableExpander
+vvMap [
+(vvPair
+variable "HDLDir"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hdl"
+)
+(vvPair
+variable "HDSDir"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
+)
+(vvPair
+variable "SideDataDesignDir"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb\\struct.bd.info"
+)
+(vvPair
+variable "SideDataUserDir"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb\\struct.bd.user"
+)
+(vvPair
+variable "SourceDir"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
+)
+(vvPair
+variable "appl"
+value "HDL Designer"
+)
+(vvPair
+variable "arch_name"
+value "struct"
+)
+(vvPair
+variable "config"
+value "%(unit)_%(view)_config"
+)
+(vvPair
+variable "d"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb"
+)
+(vvPair
+variable "d_logical"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb"
+)
+(vvPair
+variable "date"
+value "31.05.2011"
+)
+(vvPair
+variable "day"
+value "Di"
+)
+(vvPair
+variable "day_long"
+value "Dienstag"
+)
+(vvPair
+variable "dd"
+value "31"
+)
+(vvPair
+variable "entity_name"
+value "w5300_interface_tb"
+)
+(vvPair
+variable "ext"
+value "<TBD>"
+)
+(vvPair
+variable "f"
+value "struct.bd"
+)
+(vvPair
+variable "f_logical"
+value "struct.bd"
+)
+(vvPair
+variable "f_noext"
+value "struct"
+)
+(vvPair
+variable "group"
+value "UNKNOWN"
+)
+(vvPair
+variable "host"
+value "E5B-LABOR6"
+)
+(vvPair
+variable "language"
+value "VHDL"
+)
+(vvPair
+variable "library"
+value "FACT_FAD_TB_lib"
+)
+(vvPair
+variable "library_downstream_HdsLintPlugin"
+value "$HDS_PROJECT_DIR/FACT_FAD_TB_lib/designcheck"
+)
+(vvPair
+variable "library_downstream_ISEPARInvoke"
+value "$HDS_PROJECT_DIR/FACT_FAD_TB_lib/ise"
+)
+(vvPair
+variable "library_downstream_ImpactInvoke"
+value "$HDS_PROJECT_DIR/FACT_FAD_TB_lib/ise"
+)
+(vvPair
+variable "library_downstream_ModelSimCompiler"
+value "$HDS_PROJECT_DIR/FACT_FAD_TB_lib/work"
+)
+(vvPair
+variable "library_downstream_XSTDataPrep"
+value "$HDS_PROJECT_DIR/FACT_FAD_TB_lib/ise"
+)
+(vvPair
+variable "mm"
+value "05"
+)
+(vvPair
+variable "module_name"
+value "w5300_interface_tb"
+)
+(vvPair
+variable "month"
+value "Mai"
+)
+(vvPair
+variable "month_long"
+value "Mai"
+)
+(vvPair
+variable "p"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb\\struct.bd"
+)
+(vvPair
+variable "p_logical"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\w5300_interface_tb\\struct.bd"
+)
+(vvPair
+variable "package_name"
+value "<Undefined Variable>"
+)
+(vvPair
+variable "project_name"
+value "FACT_FAD"
+)
+(vvPair
+variable "series"
+value "HDL Designer Series"
+)
+(vvPair
+variable "task_DesignCompilerPath"
+value "<TBD>"
+)
+(vvPair
+variable "task_LeonardoPath"
+value "<TBD>"
+)
+(vvPair
+variable "task_ModelSimPath"
+value "C:\\modeltech_6.6a\\win32"
+)
+(vvPair
+variable "task_NC-SimPath"
+value "<TBD>"
+)
+(vvPair
+variable "task_PrecisionRTLPath"
+value "<TBD>"
+)
+(vvPair
+variable "task_QuestaSimPath"
+value "<TBD>"
+)
+(vvPair
+variable "task_VCSPath"
+value "<TBD>"
+)
+(vvPair
+variable "this_ext"
+value "bd"
+)
+(vvPair
+variable "this_file"
+value "struct"
+)
+(vvPair
+variable "this_file_logical"
+value "struct"
+)
+(vvPair
+variable "time"
+value "13:38:18"
+)
+(vvPair
+variable "unit"
+value "w5300_interface_tb"
+)
+(vvPair
+variable "user"
+value "dneise"
+)
+(vvPair
+variable "version"
+value "2009.2 (Build 10)"
+)
+(vvPair
+variable "view"
+value "struct"
+)
+(vvPair
+variable "year"
+value "2011"
+)
+(vvPair
+variable "yy"
+value "11"
+)
+]
+)
+LanguageMgr "VhdlLangMgr"
+uid 362,0
+optionalChildren [
+*1 (SaComponent
+uid 65,0
+optionalChildren [
+*2 (CptPort
+uid 13,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 14,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,20625,0,21375"
+)
+tg (CPTG
+uid 15,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 16,0
+va (VaSet
+)
+xt "1000,20500,2300,21500"
+st "clk"
+blo "1000,21300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "clk"
+t "std_logic"
+o 1
+)
+)
+)
+*3 (CptPort
+uid 17,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 18,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,20625,15750,21375"
+)
+tg (CPTG
+uid 19,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 20,0
+va (VaSet
+)
+xt "10400,20500,14000,21500"
+st "wiz_reset"
+ju 2
+blo "14000,21300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_reset"
+t "std_logic"
+o 2
+)
+)
+)
+*4 (CptPort
+uid 21,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 22,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,21625,15750,22375"
+)
+tg (CPTG
+uid 23,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 24,0
+va (VaSet
+)
+xt "12800,21500,14000,22500"
+st "cs"
+ju 2
+blo "14000,22300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "cs"
+t "std_logic"
+o 3
+)
+)
+)
+*5 (CptPort
+uid 25,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 26,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,22625,15750,23375"
+)
+tg (CPTG
+uid 27,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 28,0
+va (VaSet
+)
+xt "12800,22500,14000,23500"
+st "wr"
+ju 2
+blo "14000,23300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wr"
+t "std_logic"
+o 4
+)
+)
+)
+*6 (CptPort
+uid 29,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 30,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,23625,15750,24375"
+)
+tg (CPTG
+uid 31,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 32,0
+va (VaSet
+)
+xt "12900,23500,14000,24500"
+st "rd"
+ju 2
+blo "14000,24300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "rd"
+t "std_logic"
+o 5
+)
+)
+)
+*7 (CptPort
+uid 33,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 34,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,21625,0,22375"
+)
+tg (CPTG
+uid 35,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 36,0
+va (VaSet
+)
+xt "1000,21500,2200,22500"
+st "int"
+blo "1000,22300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "int"
+t "std_logic"
+o 6
+)
+)
+)
+*8 (CptPort
+uid 37,0
+ps "OnEdgeStrategy"
+shape (Diamond
+uid 38,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,24625,15750,25375"
+)
+tg (CPTG
+uid 39,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 40,0
+va (VaSet
+)
+xt "7700,24500,14000,25500"
+st "wiz_data : (15:0)"
+ju 2
+blo "14000,25300"
+)
+)
+thePort (LogicalPort
+m 2
+decl (Decl
+n "wiz_data"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 7
+)
+)
+)
+*9 (CptPort
+uid 41,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 42,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,25625,15750,26375"
+)
+tg (CPTG
+uid 43,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 44,0
+va (VaSet
+)
+xt "8000,25500,14000,26500"
+st "wiz_addr : (9:0)"
+ju 2
+blo "14000,26300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_addr"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 8
+)
+)
+)
+*10 (CptPort
+uid 45,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 46,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,22625,0,23375"
+)
+tg (CPTG
+uid 47,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 48,0
+va (VaSet
+)
+xt "1000,22500,3500,23500"
+st "read_i"
+blo "1000,23300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "read_i"
+t "std_logic"
+o 9
+)
+)
+)
+*11 (CptPort
+uid 49,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 50,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,23625,0,24375"
+)
+tg (CPTG
+uid 51,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 52,0
+va (VaSet
+)
+xt "1000,23500,3600,24500"
+st "write_i"
+blo "1000,24300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "write_i"
+t "std_logic"
+o 10
+)
+)
+)
+*12 (CptPort
+uid 53,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 54,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,24625,0,25375"
+)
+tg (CPTG
+uid 55,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 56,0
+va (VaSet
+)
+xt "1000,24500,6100,25500"
+st "addr_i : (9:0)"
+blo "1000,25300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "addr_i"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 11
+)
+)
+)
+*13 (CptPort
+uid 57,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 58,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,26625,15750,27375"
+)
+tg (CPTG
+uid 59,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 60,0
+va (VaSet
+)
+xt "8400,26500,14000,27500"
+st "data_o : (15:0)"
+ju 2
+blo "14000,27300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "data_o"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 12
+i "(others => '0')"
+)
+)
+)
+*14 (CptPort
+uid 61,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 62,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-750,25625,0,26375"
+)
+tg (CPTG
+uid 63,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 64,0
+va (VaSet
+)
+xt "1000,25500,6400,26500"
+st "data_i : (15:0)"
+blo "1000,26300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "data_i"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 13
+)
+)
+)
+*15 (CptPort
+uid 736,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 737,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "15000,27625,15750,28375"
+)
+tg (CPTG
+uid 738,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 739,0
+va (VaSet
+)
+xt "11000,27500,14000,28500"
+st "ready_o"
+ju 2
+blo "14000,28300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "ready_o"
+t "std_logic"
+o 14
+i "'0'"
+)
+)
+)
+]
+shape (Rectangle
+uid 66,0
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "0,20000,15000,29000"
+)
+oxt "0,17000,15000,25000"
+ttg (MlTextGroup
+uid 67,0
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*16 (Text
+uid 68,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "4250,28000,10450,29000"
+st "FACT_FAD_lib"
+blo "4250,28800"
+tm "BdLibraryNameMgr"
+)
+*17 (Text
+uid 69,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "4250,29000,10750,30000"
+st "w5300_interface"
+blo "4250,29800"
+tm "CptNameMgr"
+)
+*18 (Text
+uid 70,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "4250,30000,13350,31000"
+st "Inst_W5300_Interface"
+blo "4250,30800"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+uid 71,0
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+uid 72,0
+text (MLText
+uid 73,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "0,18400,23000,20000"
+)
+header ""
+)
+elements [
+]
+)
+viewicon (ZoomableIcon
+uid 74,0
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "250,27250,1750,28750"
+iconName "VhdlFileViewIcon.png"
+iconMaskName "VhdlFileViewIcon.msk"
+ftype 10
+)
+ordering 1
+viewiconposition 0
+portVis (PortSigDisplay
+)
+archType 1
+archFileType "UNKNOWN"
+)
+*19 (Net
+uid 75,0
+decl (Decl
+n "wiz_reset"
+t "std_logic"
+o 1
+suid 1,0
+)
+declText (MLText
+uid 76,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,11800,37500,12600"
+st "SIGNAL wiz_reset : std_logic"
+)
+)
+*20 (Net
+uid 83,0
+decl (Decl
+n "cs"
+t "std_logic"
+o 2
+suid 2,0
+)
+declText (MLText
+uid 84,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,4600,37500,5400"
+st "SIGNAL cs        : std_logic"
+)
+)
+*21 (Net
+uid 91,0
+decl (Decl
+n "wr"
+t "std_logic"
+o 3
+suid 3,0
+)
+declText (MLText
+uid 92,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,12600,37500,13400"
+st "SIGNAL wr        : std_logic"
+)
+)
+*22 (Net
+uid 99,0
+decl (Decl
+n "rd"
+t "std_logic"
+o 4
+suid 4,0
+)
+declText (MLText
+uid 100,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,7800,37500,8600"
+st "SIGNAL rd        : std_logic"
+)
+)
+*23 (Net
+uid 107,0
+decl (Decl
+n "wiz_data"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 5
+suid 5,0
+)
+declText (MLText
+uid 108,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,11000,48000,11800"
+st "SIGNAL wiz_data  : std_logic_vector(15 DOWNTO 0)"
+)
+)
+*24 (Net
+uid 115,0
+decl (Decl
+n "wiz_addr"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 6
+suid 6,0
+)
+declText (MLText
+uid 116,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,10200,47500,11000"
+st "SIGNAL wiz_addr  : std_logic_vector(9 DOWNTO 0)"
+)
+)
+*25 (Net
+uid 123,0
+lang 10
+decl (Decl
+n "data_o"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 7
+suid 7,0
+)
+declText (MLText
+uid 124,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,6200,48000,7000"
+st "SIGNAL data_o    : std_logic_vector(15 DOWNTO 0)"
+)
+)
+*26 (Net
+uid 131,0
+decl (Decl
+n "clk"
+t "std_logic"
+o 8
+suid 8,0
+)
+declText (MLText
+uid 132,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,3800,37500,4600"
+st "SIGNAL clk       : std_logic"
+)
+)
+*27 (Net
+uid 139,0
+decl (Decl
+n "int"
+t "std_logic"
+o 9
+suid 9,0
+)
+declText (MLText
+uid 140,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,7000,37500,7800"
+st "SIGNAL int       : std_logic"
+)
+)
+*28 (Net
+uid 147,0
+decl (Decl
+n "read_i"
+t "std_logic"
+o 10
+suid 10,0
+)
+declText (MLText
+uid 148,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,8600,37500,9400"
+st "SIGNAL read_i    : std_logic"
+)
+)
+*29 (Net
+uid 155,0
+decl (Decl
+n "write_i"
+t "std_logic"
+o 11
+suid 11,0
+)
+declText (MLText
+uid 156,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,13400,37500,14200"
+st "SIGNAL write_i   : std_logic"
+)
+)
+*30 (Net
+uid 163,0
+decl (Decl
+n "addr_i"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 12
+suid 12,0
+)
+declText (MLText
+uid 164,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,3000,47500,3800"
+st "SIGNAL addr_i    : std_logic_vector(9 DOWNTO 0)"
+)
+)
+*31 (Net
+uid 171,0
+decl (Decl
+n "data_i"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 13
+suid 13,0
+)
+declText (MLText
+uid 172,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,5400,48000,6200"
+st "SIGNAL data_i    : std_logic_vector(15 DOWNTO 0)"
+)
+)
+*32 (Blk
+uid 179,0
+shape (Rectangle
+uid 180,0
+va (VaSet
+vasetType 1
+fg "39936,56832,65280"
+lineColor "0,0,32768"
+lineWidth 2
+)
+xt "36000,16000,51000,25000"
+)
+oxt "36000,16000,51000,24000"
+ttg (MlTextGroup
+uid 181,0
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*33 (Text
+uid 182,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "39650,18500,47350,19500"
+st "FACT_FAD_TB_lib"
+blo "39650,19300"
+tm "BdLibraryNameMgr"
+)
+*34 (Text
+uid 183,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "39650,19500,49050,20500"
+st "w5300_interface_tester"
+blo "39650,20300"
+tm "BlkNameMgr"
+)
+*35 (Text
+uid 184,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "39650,20500,41450,21500"
+st "U_1"
+blo "39650,21300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+uid 185,0
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+uid 186,0
+text (MLText
+uid 187,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "39650,28500,39650,28500"
+)
+header ""
+)
+elements [
+]
+)
+viewicon (ZoomableIcon
+uid 188,0
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "36250,23250,37750,24750"
+iconName "VhdlFileViewIcon.png"
+iconMaskName "VhdlFileViewIcon.msk"
+ftype 10
+)
+ordering 1
+viewiconposition 0
+blkPorts [
+"clk"
+"cs"
+"rd"
+"wiz_addr"
+"wiz_data"
+"wiz_reset"
+"wr"
+"int"
+"data_o"
+"addr_i"
+"data_i"
+"read_i"
+"ready_o"
+"write_i"
+]
+)
+*36 (Grouping
+uid 293,0
+optionalChildren [
+*37 (CommentText
+uid 295,0
+shape (Rectangle
+uid 296,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "27000,48000,44000,49000"
+)
+oxt "18000,70000,35000,71000"
+text (MLText
+uid 297,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "27200,48000,36800,49000"
+st "
+by %user on %dd %month %year
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 17000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*38 (CommentText
+uid 298,0
+shape (Rectangle
+uid 299,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "44000,44000,48000,45000"
+)
+oxt "35000,66000,39000,67000"
+text (MLText
+uid 300,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "44200,44000,47200,45000"
+st "
+Project:
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 4000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*39 (CommentText
+uid 301,0
+shape (Rectangle
+uid 302,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "27000,46000,44000,47000"
+)
+oxt "18000,68000,35000,69000"
+text (MLText
+uid 303,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "27200,46000,37200,47000"
+st "
+<enter diagram title here>
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 17000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*40 (CommentText
+uid 304,0
+shape (Rectangle
+uid 305,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "23000,46000,27000,47000"
+)
+oxt "14000,68000,18000,69000"
+text (MLText
+uid 306,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "23200,46000,25300,47000"
+st "
+Title:
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 4000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*41 (CommentText
+uid 307,0
+shape (Rectangle
+uid 308,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "44000,45000,64000,49000"
+)
+oxt "35000,67000,55000,71000"
+text (MLText
+uid 309,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "44200,45200,53400,46200"
+st "
+<enter comments here>
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 4000
+visibleWidth 20000
+)
+ignorePrefs 1
+titleBlock 1
+)
+*42 (CommentText
+uid 310,0
+shape (Rectangle
+uid 311,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "48000,44000,64000,45000"
+)
+oxt "39000,66000,55000,67000"
+text (MLText
+uid 312,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "48200,44000,52700,45000"
+st "
+%project_name
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 16000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*43 (CommentText
+uid 313,0
+shape (Rectangle
+uid 314,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "23000,44000,44000,46000"
+)
+oxt "14000,66000,35000,68000"
+text (MLText
+uid 315,0
+va (VaSet
+fg "32768,0,0"
+)
+xt "30150,44500,36850,45500"
+st "
+<company name>
+"
+ju 0
+tm "CommentText"
+wrapOption 3
+visibleHeight 2000
+visibleWidth 21000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*44 (CommentText
+uid 316,0
+shape (Rectangle
+uid 317,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "23000,47000,27000,48000"
+)
+oxt "14000,69000,18000,70000"
+text (MLText
+uid 318,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "23200,47000,25300,48000"
+st "
+Path:
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 4000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*45 (CommentText
+uid 319,0
+shape (Rectangle
+uid 320,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "23000,48000,27000,49000"
+)
+oxt "14000,70000,18000,71000"
+text (MLText
+uid 321,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "23200,48000,25900,49000"
+st "
+Edited:
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 4000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+*46 (CommentText
+uid 322,0
+shape (Rectangle
+uid 323,0
+sl 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+)
+xt "27000,47000,44000,48000"
+)
+oxt "18000,69000,35000,70000"
+text (MLText
+uid 324,0
+va (VaSet
+fg "0,0,32768"
+bg "0,0,32768"
+)
+xt "27200,47000,44200,48000"
+st "
+%library/%unit/%view
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 1000
+visibleWidth 17000
+)
+position 1
+ignorePrefs 1
+titleBlock 1
+)
+]
+shape (GroupingShape
+uid 294,0
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineStyle 2
+lineWidth 2
+)
+xt "23000,44000,64000,49000"
+)
+oxt "14000,66000,55000,71000"
+)
+*47 (SaComponent
+uid 617,0
+optionalChildren [
+*48 (CptPort
+uid 606,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 607,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-15000,4625,-14250,5375"
+)
+tg (CPTG
+uid 608,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 609,0
+va (VaSet
+)
+xt "-17300,4500,-16000,5500"
+st "clk"
+ju 2
+blo "-16000,5300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "clk"
+t "std_logic"
+preAdd 0
+posAdd 0
+o 1
+suid 1,0
+i "'0'"
+)
+)
+)
+*49 (CptPort
+uid 610,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 611,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "-15000,5625,-14250,6375"
+)
+tg (CPTG
+uid 612,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 613,0
+va (VaSet
+)
+xt "-17300,5500,-16000,6500"
+st "rst"
+ju 2
+blo "-16000,6300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "rst"
+t "std_logic"
+preAdd 0
+posAdd 0
+o 2
+suid 2,0
+i "'0'"
+)
+)
+)
+*50 (CommentText
+uid 614,0
+ps "EdgeToEdgeStrategy"
+shape (Rectangle
+uid 615,0
+layer 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+lineColor "0,0,32768"
+)
+xt "-23500,-7000,-8500,-3000"
+)
+oxt "21500,4000,36500,8000"
+text (MLText
+uid 616,0
+va (VaSet
+fg "0,0,32768"
+)
+xt "-23300,-6800,-13500,-5800"
+st "
+--   synthesis translate_off
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 4000
+visibleWidth 15000
+)
+included 1
+excludeCommentLeader 1
+)
+]
+shape (Rectangle
+uid 618,0
+va (VaSet
+vasetType 1
+fg "0,49152,49152"
+lineColor "0,0,50000"
+lineWidth 2
+)
+xt "-23000,4000,-15000,8000"
+)
+oxt "22000,15000,30000,19000"
+ttg (MlTextGroup
+uid 619,0
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*51 (Text
+uid 620,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "-22850,8000,-15150,9000"
+st "FACT_FAD_TB_lib"
+blo "-22850,8800"
+tm "BdLibraryNameMgr"
+)
+*52 (Text
+uid 621,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "-22850,9000,-16150,10000"
+st "clock_generator"
+blo "-22850,9800"
+tm "CptNameMgr"
+)
+*53 (Text
+uid 622,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "-22850,10000,-21050,11000"
+st "U_2"
+blo "-22850,10800"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+uid 623,0
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+uid 624,0
+text (MLText
+uid 625,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-23500,-4600,-5000,-3000"
+st "clock_period = 20 ns    ( time )  
+reset_time   = 50 ns    ( time )  "
+)
+header ""
+)
+elements [
+(GiElement
+name "clock_period"
+type "time"
+value "20 ns"
+)
+(GiElement
+name "reset_time"
+type "time"
+value "50 ns"
+)
+]
+)
+viewicon (ZoomableIcon
+uid 626,0
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "-22750,6250,-21250,7750"
+iconName "VhdlFileViewIcon.png"
+iconMaskName "VhdlFileViewIcon.msk"
+ftype 10
+)
+ordering 1
+viewiconposition 0
+portVis (PortSigDisplay
+)
+archFileType "UNKNOWN"
+)
+*54 (Net
+uid 740,0
+lang 10
+decl (Decl
+n "ready_o"
+t "std_logic"
+o 14
+suid 14,0
+)
+declText (MLText
+uid 741,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "22000,9400,37500,10200"
+st "SIGNAL ready_o   : std_logic"
+)
+)
+*55 (Wire
+uid 77,0
+shape (OrthoPolyLine
+uid 78,0
+va (VaSet
+vasetType 3
+)
+xt "15750,21000,24000,21000"
+pts [
+"15750,21000"
+"24000,21000"
+]
+)
+start &3
+sat 32
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 81,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 82,0
+va (VaSet
+)
+xt "17000,20000,20600,21000"
+st "wiz_reset"
+blo "17000,20800"
+tm "WireNameMgr"
+)
+)
+on &19
+)
+*56 (Wire
+uid 85,0
+shape (OrthoPolyLine
+uid 86,0
+va (VaSet
+vasetType 3
+)
+xt "15750,22000,24000,22000"
+pts [
+"15750,22000"
+"24000,22000"
+]
+)
+start &4
+sat 32
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 89,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 90,0
+va (VaSet
+)
+xt "17000,21000,18200,22000"
+st "cs"
+blo "17000,21800"
+tm "WireNameMgr"
+)
+)
+on &20
+)
+*57 (Wire
+uid 93,0
+shape (OrthoPolyLine
+uid 94,0
+va (VaSet
+vasetType 3
+)
+xt "15750,23000,24000,23000"
+pts [
+"15750,23000"
+"24000,23000"
+]
+)
+start &5
+sat 32
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 97,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 98,0
+va (VaSet
+)
+xt "17000,22000,18200,23000"
+st "wr"
+blo "17000,22800"
+tm "WireNameMgr"
+)
+)
+on &21
+)
+*58 (Wire
+uid 101,0
+shape (OrthoPolyLine
+uid 102,0
+va (VaSet
+vasetType 3
+)
+xt "15750,24000,24000,24000"
+pts [
+"15750,24000"
+"24000,24000"
+]
+)
+start &6
+sat 32
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 105,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 106,0
+va (VaSet
+)
+xt "17000,23000,18100,24000"
+st "rd"
+blo "17000,23800"
+tm "WireNameMgr"
+)
+)
+on &22
+)
+*59 (Wire
+uid 109,0
+shape (OrthoPolyLine
+uid 110,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "15750,25000,24000,25000"
+pts [
+"15750,25000"
+"24000,25000"
+]
+)
+start &8
+sat 32
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 113,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 114,0
+va (VaSet
+)
+xt "17000,24000,23300,25000"
+st "wiz_data : (15:0)"
+blo "17000,24800"
+tm "WireNameMgr"
+)
+)
+on &23
+)
+*60 (Wire
+uid 117,0
+shape (OrthoPolyLine
+uid 118,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "15750,26000,24000,26000"
+pts [
+"15750,26000"
+"24000,26000"
+]
+)
+start &9
+sat 32
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 121,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 122,0
+va (VaSet
+)
+xt "17000,25000,23000,26000"
+st "wiz_addr : (9:0)"
+blo "17000,25800"
+tm "WireNameMgr"
+)
+)
+on &24
+)
+*61 (Wire
+uid 125,0
+shape (OrthoPolyLine
+uid 126,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "15750,27000,24000,27000"
+pts [
+"15750,27000"
+"24000,27000"
+]
+)
+start &13
+sat 32
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 129,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 130,0
+va (VaSet
+)
+xt "17000,26000,22600,27000"
+st "data_o : (15:0)"
+blo "17000,26800"
+tm "WireNameMgr"
+)
+)
+on &25
+)
+*62 (Wire
+uid 133,0
+shape (OrthoPolyLine
+uid 134,0
+va (VaSet
+vasetType 3
+)
+xt "-14250,5000,-750,21000"
+pts [
+"-14250,5000"
+"-4000,5000"
+"-4000,21000"
+"-750,21000"
+]
+)
+start &48
+end &2
+sat 32
+eat 32
+st 0
+sf 1
+si 0
+tg (WTG
+uid 137,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 138,0
+va (VaSet
+)
+xt "-12250,4000,-10950,5000"
+st "clk"
+blo "-12250,4800"
+tm "WireNameMgr"
+)
+)
+on &26
+)
+*63 (Wire
+uid 141,0
+shape (OrthoPolyLine
+uid 142,0
+va (VaSet
+vasetType 3
+)
+xt "-8000,22000,-750,22000"
+pts [
+"-8000,22000"
+"-750,22000"
+]
+)
+end &7
+sat 16
+eat 32
+st 0
+sf 1
+si 0
+tg (WTG
+uid 145,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 146,0
+va (VaSet
+)
+xt "-7000,21000,-5800,22000"
+st "int"
+blo "-7000,21800"
+tm "WireNameMgr"
+)
+)
+on &27
+)
+*64 (Wire
+uid 149,0
+shape (OrthoPolyLine
+uid 150,0
+va (VaSet
+vasetType 3
+)
+xt "-8000,23000,-750,23000"
+pts [
+"-8000,23000"
+"-750,23000"
+]
+)
+end &10
+sat 16
+eat 32
+st 0
+sf 1
+si 0
+tg (WTG
+uid 153,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 154,0
+va (VaSet
+)
+xt "-7000,22000,-4500,23000"
+st "read_i"
+blo "-7000,22800"
+tm "WireNameMgr"
+)
+)
+on &28
+)
+*65 (Wire
+uid 157,0
+shape (OrthoPolyLine
+uid 158,0
+va (VaSet
+vasetType 3
+)
+xt "-8000,24000,-750,24000"
+pts [
+"-8000,24000"
+"-750,24000"
+]
+)
+end &11
+sat 16
+eat 32
+st 0
+sf 1
+si 0
+tg (WTG
+uid 161,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 162,0
+va (VaSet
+)
+xt "-7000,23000,-4400,24000"
+st "write_i"
+blo "-7000,23800"
+tm "WireNameMgr"
+)
+)
+on &29
+)
+*66 (Wire
+uid 165,0
+shape (OrthoPolyLine
+uid 166,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "-8000,25000,-750,25000"
+pts [
+"-8000,25000"
+"-750,25000"
+]
+)
+end &12
+sat 16
+eat 32
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 169,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 170,0
+va (VaSet
+)
+xt "-7000,24000,-1900,25000"
+st "addr_i : (9:0)"
+blo "-7000,24800"
+tm "WireNameMgr"
+)
+)
+on &30
+)
+*67 (Wire
+uid 173,0
+shape (OrthoPolyLine
+uid 174,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "-8000,26000,-750,26000"
+pts [
+"-8000,26000"
+"-750,26000"
+]
+)
+end &14
+sat 16
+eat 32
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 177,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 178,0
+va (VaSet
+)
+xt "-7000,25000,-1600,26000"
+st "data_i : (15:0)"
+blo "-7000,25800"
+tm "WireNameMgr"
+)
+)
+on &31
+)
+*68 (Wire
+uid 189,0
+shape (OrthoPolyLine
+uid 190,0
+va (VaSet
+vasetType 3
+)
+xt "51000,18000,60000,18000"
+pts [
+"51000,18000"
+"60000,18000"
+]
+)
+start &32
+sat 1
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 195,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 196,0
+va (VaSet
+)
+xt "52000,17000,53200,18000"
+st "cs"
+blo "52000,17800"
+tm "WireNameMgr"
+)
+)
+on &20
+)
+*69 (Wire
+uid 197,0
+shape (OrthoPolyLine
+uid 198,0
+va (VaSet
+vasetType 3
+)
+xt "51000,17000,60000,17000"
+pts [
+"51000,17000"
+"60000,17000"
+]
+)
+start &32
+sat 1
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 203,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 204,0
+va (VaSet
+)
+xt "52000,16000,55600,17000"
+st "wiz_reset"
+blo "52000,16800"
+tm "WireNameMgr"
+)
+)
+on &19
+)
+*70 (Wire
+uid 205,0
+shape (OrthoPolyLine
+uid 206,0
+va (VaSet
+vasetType 3
+)
+xt "51000,19000,60000,19000"
+pts [
+"51000,19000"
+"60000,19000"
+]
+)
+start &32
+sat 1
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 211,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 212,0
+va (VaSet
+)
+xt "52000,18000,53200,19000"
+st "wr"
+blo "52000,18800"
+tm "WireNameMgr"
+)
+)
+on &21
+)
+*71 (Wire
+uid 213,0
+shape (OrthoPolyLine
+uid 214,0
+va (VaSet
+vasetType 3
+)
+xt "51000,20000,60000,20000"
+pts [
+"51000,20000"
+"60000,20000"
+]
+)
+start &32
+sat 1
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 219,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 220,0
+va (VaSet
+)
+xt "52000,19000,53100,20000"
+st "rd"
+blo "52000,19800"
+tm "WireNameMgr"
+)
+)
+on &22
+)
+*72 (Wire
+uid 221,0
+shape (OrthoPolyLine
+uid 222,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "51000,21000,60000,21000"
+pts [
+"51000,21000"
+"60000,21000"
+]
+)
+start &32
+sat 4
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 227,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 228,0
+va (VaSet
+)
+xt "53000,20000,59300,21000"
+st "wiz_data : (15:0)"
+blo "53000,20800"
+tm "WireNameMgr"
+)
+)
+on &23
+)
+*73 (Wire
+uid 229,0
+shape (OrthoPolyLine
+uid 230,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "51000,22000,60000,22000"
+pts [
+"51000,22000"
+"60000,22000"
+]
+)
+start &32
+sat 1
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 235,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 236,0
+va (VaSet
+)
+xt "53000,21000,59000,22000"
+st "wiz_addr : (9:0)"
+blo "53000,21800"
+tm "WireNameMgr"
+)
+)
+on &24
+)
+*74 (Wire
+uid 237,0
+shape (OrthoPolyLine
+uid 238,0
+va (VaSet
+vasetType 3
+)
+xt "28000,18000,36000,18000"
+pts [
+"28000,18000"
+"36000,18000"
+]
+)
+end &32
+sat 16
+eat 2
+st 0
+sf 1
+si 0
+tg (WTG
+uid 243,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 244,0
+va (VaSet
+)
+xt "29000,17000,30200,18000"
+st "int"
+blo "29000,17800"
+tm "WireNameMgr"
+)
+)
+on &27
+)
+*75 (Wire
+uid 253,0
+shape (OrthoPolyLine
+uid 254,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "51000,23000,60000,23000"
+pts [
+"51000,23000"
+"60000,23000"
+]
+)
+start &32
+sat 1
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 259,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 260,0
+va (VaSet
+)
+xt "52000,22000,57600,23000"
+st "data_o : (15:0)"
+blo "52000,22800"
+tm "WireNameMgr"
+)
+)
+on &25
+)
+*76 (Wire
+uid 261,0
+shape (OrthoPolyLine
+uid 262,0
+va (VaSet
+vasetType 3
+)
+xt "28000,19000,36000,19000"
+pts [
+"28000,19000"
+"36000,19000"
+]
+)
+end &32
+sat 16
+eat 2
+st 0
+sf 1
+si 0
+tg (WTG
+uid 267,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 268,0
+va (VaSet
+)
+xt "29000,18000,31500,19000"
+st "read_i"
+blo "29000,18800"
+tm "WireNameMgr"
+)
+)
+on &28
+)
+*77 (Wire
+uid 269,0
+shape (OrthoPolyLine
+uid 270,0
+va (VaSet
+vasetType 3
+)
+xt "28000,20000,36000,20000"
+pts [
+"28000,20000"
+"36000,20000"
+]
+)
+end &32
+sat 16
+eat 2
+st 0
+sf 1
+si 0
+tg (WTG
+uid 275,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 276,0
+va (VaSet
+)
+xt "29000,19000,31600,20000"
+st "write_i"
+blo "29000,19800"
+tm "WireNameMgr"
+)
+)
+on &29
+)
+*78 (Wire
+uid 277,0
+shape (OrthoPolyLine
+uid 278,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "28000,21000,36000,21000"
+pts [
+"28000,21000"
+"36000,21000"
+]
+)
+end &32
+sat 16
+eat 2
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 283,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 284,0
+va (VaSet
+)
+xt "29000,20000,34100,21000"
+st "addr_i : (9:0)"
+blo "29000,20800"
+tm "WireNameMgr"
+)
+)
+on &30
+)
+*79 (Wire
+uid 285,0
+shape (OrthoPolyLine
+uid 286,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "28000,22000,36000,22000"
+pts [
+"28000,22000"
+"36000,22000"
+]
+)
+end &32
+sat 16
+eat 2
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 291,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 292,0
+va (VaSet
+)
+xt "30000,21000,35400,22000"
+st "data_i : (15:0)"
+blo "30000,21800"
+tm "WireNameMgr"
+)
+)
+on &31
+)
+*80 (Wire
+uid 742,0
+shape (OrthoPolyLine
+uid 743,0
+va (VaSet
+vasetType 3
+)
+xt "15750,28000,24000,28000"
+pts [
+"15750,28000"
+"24000,28000"
+]
+)
+start &15
+sat 32
+eat 16
+st 0
+sf 1
+si 0
+tg (WTG
+uid 746,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 747,0
+va (VaSet
+)
+xt "20000,27000,23000,28000"
+st "ready_o"
+blo "20000,27800"
+tm "WireNameMgr"
+)
+)
+on &54
+)
+*81 (Wire
+uid 748,0
+shape (OrthoPolyLine
+uid 749,0
+va (VaSet
+vasetType 3
+)
+xt "28000,23000,36000,23000"
+pts [
+"28000,23000"
+"36000,23000"
+]
+)
+end &32
+sat 16
+eat 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 754,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 755,0
+va (VaSet
+)
+xt "30000,22000,33000,23000"
+st "ready_o"
+blo "30000,22800"
+tm "WireNameMgr"
+)
+)
+on &54
+)
+*82 (Wire
+uid 1940,0
+shape (OrthoPolyLine
+uid 1941,0
+va (VaSet
+vasetType 3
+)
+xt "28000,24000,36000,24000"
+pts [
+"28000,24000"
+"36000,24000"
+]
+)
+end &32
+sat 16
+eat 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 1946,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 1947,0
+va (VaSet
+)
+xt "30000,23000,31300,24000"
+st "clk"
+blo "30000,23800"
+tm "WireNameMgr"
+)
+)
+on &26
+)
+]
+bg "65535,65535,65535"
+grid (Grid
+origin "0,0"
+isVisible 1
+isActive 1
+xSpacing 1000
+xySpacing 1000
+xShown 1
+yShown 1
+color "26368,26368,26368"
+)
+packageList *83 (PackageList
+uid 351,0
+stg "VerticalLayoutStrategy"
+textVec [
+*84 (Text
+uid 352,0
+va (VaSet
+font "arial,8,1"
+)
+xt "0,0,5400,1000"
+st "Package List"
+blo "0,800"
+)
+*85 (MLText
+uid 353,0
+va (VaSet
+)
+xt "0,1000,13000,5000"
+st "LIBRARY IEEE;
+USE IEEE.STD_LOGIC_1164.ALL;
+USE IEEE.NUMERIC_STD.ALL;
+USE ieee.std_logic_unsigned.all;"
+tm "PackageList"
+)
+]
+)
+compDirBlock (MlTextGroup
+uid 354,0
+stg "VerticalLayoutStrategy"
+textVec [
+*86 (Text
+uid 355,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,0,28100,1000"
+st "Compiler Directives"
+blo "20000,800"
+)
+*87 (Text
+uid 356,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,1000,29600,2000"
+st "Pre-module directives:"
+blo "20000,1800"
+)
+*88 (MLText
+uid 357,0
+va (VaSet
+isHidden 1
+)
+xt "20000,2000,27500,4000"
+st "`resetall
+`timescale 1ns/10ps"
+tm "BdCompilerDirectivesTextMgr"
+)
+*89 (Text
+uid 358,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,4000,30100,5000"
+st "Post-module directives:"
+blo "20000,4800"
+)
+*90 (MLText
+uid 359,0
+va (VaSet
+isHidden 1
+)
+xt "20000,0,20000,0"
+tm "BdCompilerDirectivesTextMgr"
+)
+*91 (Text
+uid 360,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,5000,29900,6000"
+st "End-module directives:"
+blo "20000,5800"
+)
+*92 (MLText
+uid 361,0
+va (VaSet
+isHidden 1
+)
+xt "20000,6000,20000,6000"
+tm "BdCompilerDirectivesTextMgr"
+)
+]
+associable 1
+)
+windowSize "0,22,1281,1024"
+viewArea "-29100,-23500,67451,51575"
+cachedDiagramExtent "-23500,-7000,64000,49000"
+hasePageBreakOrigin 1
+pageBreakOrigin "-82000,-49000"
+lastUid 1947,0
+defaultCommentText (CommentText
+shape (Rectangle
+layer 0
+va (VaSet
+vasetType 1
+fg "65280,65280,46080"
+lineColor "0,0,32768"
+)
+xt "0,0,15000,5000"
+)
+text (MLText
+va (VaSet
+fg "0,0,32768"
+)
+xt "200,200,2000,1200"
+st "
+Text
+"
+tm "CommentText"
+wrapOption 3
+visibleHeight 4600
+visibleWidth 14600
+)
+)
+defaultPanel (Panel
+shape (RectFrame
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "32768,0,0"
+lineWidth 3
+)
+xt "0,0,20000,20000"
+)
+title (TextAssociate
+ps "TopLeftStrategy"
+text (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "1000,1000,3800,2000"
+st "Panel0"
+blo "1000,1800"
+tm "PanelText"
+)
+)
+)
+defaultBlk (Blk
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "39936,56832,65280"
+lineColor "0,0,32768"
+lineWidth 2
+)
+xt "0,0,8000,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*93 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "2200,3500,5800,4500"
+st "<library>"
+blo "2200,4300"
+tm "BdLibraryNameMgr"
+)
+*94 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "2200,4500,5600,5500"
+st "<block>"
+blo "2200,5300"
+tm "BlkNameMgr"
+)
+*95 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "2200,5500,4000,6500"
+st "U_0"
+blo "2200,6300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+text (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+xt "2200,13500,2200,13500"
+)
+header ""
+)
+elements [
+]
+)
+viewicon (ZoomableIcon
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "0,0,1500,1500"
+iconName "UnknownFile.png"
+iconMaskName "UnknownFile.msk"
+)
+viewiconposition 0
+)
+defaultMWComponent (MWC
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "0,0,8000,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*96 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "550,3500,3450,4500"
+st "Library"
+blo "550,4300"
+)
+*97 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "550,4500,7450,5500"
+st "MWComponent"
+blo "550,5300"
+)
+*98 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "550,5500,2350,6500"
+st "U_0"
+blo "550,6300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+text (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-6450,1500,-6450,1500"
+)
+header ""
+)
+elements [
+]
+)
+portVis (PortSigDisplay
+)
+prms (Property
+pclass "params"
+pname "params"
+ptn "String"
+)
+visOptions (mwParamsVisibilityOptions
+)
+)
+defaultSaComponent (SaComponent
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "0,0,8000,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*99 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "900,3500,3800,4500"
+st "Library"
+blo "900,4300"
+tm "BdLibraryNameMgr"
+)
+*100 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "900,4500,7100,5500"
+st "SaComponent"
+blo "900,5300"
+tm "CptNameMgr"
+)
+*101 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "900,5500,2700,6500"
+st "U_0"
+blo "900,6300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+text (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-6100,1500,-6100,1500"
+)
+header ""
+)
+elements [
+]
+)
+viewicon (ZoomableIcon
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "0,0,1500,1500"
+iconName "UnknownFile.png"
+iconMaskName "UnknownFile.msk"
+)
+viewiconposition 0
+portVis (PortSigDisplay
+)
+archFileType "UNKNOWN"
+)
+defaultVhdlComponent (VhdlComponent
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "0,0,8000,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*102 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "500,3500,3400,4500"
+st "Library"
+blo "500,4300"
+)
+*103 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "500,4500,7500,5500"
+st "VhdlComponent"
+blo "500,5300"
+)
+*104 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "500,5500,2300,6500"
+st "U_0"
+blo "500,6300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+text (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-6500,1500,-6500,1500"
+)
+header ""
+)
+elements [
+]
+)
+portVis (PortSigDisplay
+)
+entityPath ""
+archName ""
+archPath ""
+)
+defaultVerilogComponent (VerilogComponent
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "-450,0,8450,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*105 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "50,3500,2950,4500"
+st "Library"
+blo "50,4300"
+)
+*106 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "50,4500,7950,5500"
+st "VerilogComponent"
+blo "50,5300"
+)
+*107 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "50,5500,1850,6500"
+st "U_0"
+blo "50,6300"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+text (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-6950,1500,-6950,1500"
+)
+header ""
+)
+elements [
+]
+)
+entityPath ""
+)
+defaultHdlText (HdlText
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "65535,65535,37120"
+lineColor "0,0,32768"
+lineWidth 2
+)
+xt "0,0,8000,10000"
+)
+ttg (MlTextGroup
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*108 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "3150,4000,4850,5000"
+st "eb1"
+blo "3150,4800"
+tm "HdlTextNameMgr"
+)
+*109 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "3150,5000,3950,6000"
+st "1"
+blo "3150,5800"
+tm "HdlTextNumberMgr"
+)
+]
+)
+viewicon (ZoomableIcon
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "0,0,1500,1500"
+iconName "UnknownFile.png"
+iconMaskName "UnknownFile.msk"
+)
+viewiconposition 0
+)
+defaultEmbeddedText (EmbeddedText
+commentText (CommentText
+ps "CenterOffsetStrategy"
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "0,0,32768"
+lineWidth 2
+)
+xt "0,0,18000,5000"
+)
+text (MLText
+va (VaSet
+)
+xt "200,200,2000,1200"
+st "
+Text
+"
+tm "HdlTextMgr"
+wrapOption 3
+visibleHeight 4600
+visibleWidth 17600
+)
+)
+)
+defaultGlobalConnector (GlobalConnector
+shape (Circle
+va (VaSet
+vasetType 1
+fg "65535,65535,0"
+)
+xt "-1000,-1000,1000,1000"
+radius 1000
+)
+name (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "-500,-500,500,500"
+st "G"
+blo "-500,300"
+)
+)
+defaultRipper (Ripper
+ps "OnConnectorStrategy"
+shape (Line2D
+pts [
+"0,0"
+"1000,1000"
+]
+va (VaSet
+vasetType 1
+)
+xt "0,0,1000,1000"
+)
+)
+defaultBdJunction (BdJunction
+ps "OnConnectorStrategy"
+shape (Circle
+va (VaSet
+vasetType 1
+)
+xt "-400,-400,400,400"
+radius 400
+)
+)
+defaultPortIoIn (PortIoIn
+shape (CompositeShape
+va (VaSet
+vasetType 1
+fg "0,0,32768"
+)
+optionalChildren [
+(Pentagon
+sl 0
+ro 270
+xt "-2000,-375,-500,375"
+)
+(Line
+sl 0
+ro 270
+xt "-500,0,0,0"
+pts [
+"-500,0"
+"0,0"
+]
+)
+]
+)
+stc 0
+sf 1
+tg (WTG
+ps "PortIoTextPlaceStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "-1375,-1000,-1375,-1000"
+ju 2
+blo "-1375,-1000"
+tm "WireNameMgr"
+)
+)
+)
+defaultPortIoOut (PortIoOut
+shape (CompositeShape
+va (VaSet
+vasetType 1
+fg "0,0,32768"
+)
+optionalChildren [
+(Pentagon
+sl 0
+ro 270
+xt "500,-375,2000,375"
+)
+(Line
+sl 0
+ro 270
+xt "0,0,500,0"
+pts [
+"0,0"
+"500,0"
+]
+)
+]
+)
+stc 0
+sf 1
+tg (WTG
+ps "PortIoTextPlaceStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "625,-1000,625,-1000"
+blo "625,-1000"
+tm "WireNameMgr"
+)
+)
+)
+defaultPortIoInOut (PortIoInOut
+shape (CompositeShape
+va (VaSet
+vasetType 1
+fg "0,0,32768"
+)
+optionalChildren [
+(Hexagon
+sl 0
+xt "500,-375,2000,375"
+)
+(Line
+sl 0
+xt "0,0,500,0"
+pts [
+"0,0"
+"500,0"
+]
+)
+]
+)
+stc 0
+sf 1
+tg (WTG
+ps "PortIoTextPlaceStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "0,-375,0,-375"
+blo "0,-375"
+tm "WireNameMgr"
+)
+)
+)
+defaultPortIoBuffer (PortIoBuffer
+shape (CompositeShape
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "0,0,32768"
+)
+optionalChildren [
+(Hexagon
+sl 0
+xt "500,-375,2000,375"
+)
+(Line
+sl 0
+xt "0,0,500,0"
+pts [
+"0,0"
+"500,0"
+]
+)
+]
+)
+stc 0
+sf 1
+tg (WTG
+ps "PortIoTextPlaceStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "0,-375,0,-375"
+blo "0,-375"
+tm "WireNameMgr"
+)
+)
+)
+defaultSignal (Wire
+shape (OrthoPolyLine
+va (VaSet
+vasetType 3
+)
+pts [
+"0,0"
+"0,0"
+]
+)
+ss 0
+es 0
+sat 32
+eat 32
+st 0
+sf 1
+si 0
+tg (WTG
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "0,0,1900,1000"
+st "sig0"
+blo "0,800"
+tm "WireNameMgr"
+)
+)
+)
+defaultBus (Wire
+shape (OrthoPolyLine
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+pts [
+"0,0"
+"0,0"
+]
+)
+ss 0
+es 0
+sat 32
+eat 32
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+va (VaSet
+)
+xt "0,0,2400,1000"
+st "dbus0"
+blo "0,800"
+tm "WireNameMgr"
+)
+)
+)
+defaultBundle (Bundle
+shape (OrthoPolyLine
+va (VaSet
+vasetType 3
+lineColor "32768,0,0"
+lineWidth 2
+)
+pts [
+"0,0"
+"0,0"
+]
+)
+ss 0
+es 0
+sat 32
+eat 32
+textGroup (BiTextGroup
+ps "ConnStartEndStrategy"
+stg "VerticalLayoutStrategy"
+first (Text
+va (VaSet
+)
+xt "0,0,3000,1000"
+st "bundle0"
+blo "0,800"
+tm "BundleNameMgr"
+)
+second (MLText
+va (VaSet
+)
+xt "0,1000,1000,2000"
+st "()"
+tm "BundleContentsMgr"
+)
+)
+bundleNet &0
+)
+defaultPortMapFrame (PortMapFrame
+ps "PortMapFrameStrategy"
+shape (RectFrame
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "0,0,32768"
+lineWidth 2
+)
+xt "0,0,10000,12000"
+)
+portMapText (BiTextGroup
+ps "BottomRightOffsetStrategy"
+stg "VerticalLayoutStrategy"
+first (MLText
+va (VaSet
+)
+)
+second (MLText
+va (VaSet
+)
+tm "PortMapTextMgr"
+)
+)
+)
+defaultGenFrame (Frame
+shape (RectFrame
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "26368,26368,26368"
+lineStyle 2
+lineWidth 3
+)
+xt "0,0,20000,20000"
+)
+title (TextAssociate
+ps "TopLeftStrategy"
+text (MLText
+va (VaSet
+)
+xt "0,-1100,12600,-100"
+st "g0: FOR i IN 0 TO n GENERATE"
+tm "FrameTitleTextMgr"
+)
+)
+seqNum (FrameSequenceNumber
+ps "TopLeftStrategy"
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+)
+xt "50,50,1250,1450"
+)
+num (Text
+va (VaSet
+)
+xt "250,250,1050,1250"
+st "1"
+blo "250,1050"
+tm "FrameSeqNumMgr"
+)
+)
+decls (MlTextGroup
+ps "BottomRightOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*110 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "14100,20000,22000,21000"
+st "Frame Declarations"
+blo "14100,20800"
+)
+*111 (MLText
+va (VaSet
+)
+xt "14100,21000,14100,21000"
+tm "BdFrameDeclTextMgr"
+)
+]
+)
+)
+defaultBlockFrame (Frame
+shape (RectFrame
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+lineColor "26368,26368,26368"
+lineStyle 1
+lineWidth 3
+)
+xt "0,0,20000,20000"
+)
+title (TextAssociate
+ps "TopLeftStrategy"
+text (MLText
+va (VaSet
+)
+xt "0,-1100,7400,-100"
+st "b0: BLOCK (guard)"
+tm "FrameTitleTextMgr"
+)
+)
+seqNum (FrameSequenceNumber
+ps "TopLeftStrategy"
+shape (Rectangle
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+)
+xt "50,50,1250,1450"
+)
+num (Text
+va (VaSet
+)
+xt "250,250,1050,1250"
+st "1"
+blo "250,1050"
+tm "FrameSeqNumMgr"
+)
+)
+decls (MlTextGroup
+ps "BottomRightOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*112 (Text
+va (VaSet
+font "Arial,8,1"
+)
+xt "14100,20000,22000,21000"
+st "Frame Declarations"
+blo "14100,20800"
+)
+*113 (MLText
+va (VaSet
+)
+xt "14100,21000,14100,21000"
+tm "BdFrameDeclTextMgr"
+)
+]
+)
+style 3
+)
+defaultSaCptPort (CptPort
+ps "OnEdgeStrategy"
+shape (Triangle
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "0,0,750,750"
+)
+tg (CPTG
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+va (VaSet
+)
+xt "0,750,1800,1750"
+st "Port"
+blo "0,1550"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "Port"
+t ""
+o 0
+)
+)
+)
+defaultSaCptPortBuffer (CptPort
+ps "OnEdgeStrategy"
+shape (Diamond
+va (VaSet
+vasetType 1
+fg "65535,65535,65535"
+)
+xt "0,0,750,750"
+)
+tg (CPTG
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+va (VaSet
+)
+xt "0,750,1800,1750"
+st "Port"
+blo "0,1550"
+)
+)
+thePort (LogicalPort
+m 3
+decl (Decl
+n "Port"
+t ""
+o 0
+)
+)
+)
+defaultDeclText (MLText
+va (VaSet
+font "Courier New,8,0"
+)
+)
+archDeclarativeBlock (BdArchDeclBlock
+uid 1,0
+stg "BdArchDeclBlockLS"
+declLabel (Text
+uid 2,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "20000,0,25400,1000"
+st "Declarations"
+blo "20000,800"
+)
+portLabel (Text
+uid 3,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "20000,1000,22700,2000"
+st "Ports:"
+blo "20000,1800"
+)
+preUserLabel (Text
+uid 4,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,0,23800,1000"
+st "Pre User:"
+blo "20000,800"
+)
+preUserText (MLText
+uid 5,0
+va (VaSet
+isHidden 1
+font "Courier New,8,0"
+)
+xt "20000,0,20000,0"
+tm "BdDeclarativeTextMgr"
+)
+diagSignalLabel (Text
+uid 6,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "20000,2000,27100,3000"
+st "Diagram Signals:"
+blo "20000,2800"
+)
+postUserLabel (Text
+uid 7,0
+va (VaSet
+isHidden 1
+font "Arial,8,1"
+)
+xt "20000,0,24700,1000"
+st "Post User:"
+blo "20000,800"
+)
+postUserText (MLText
+uid 8,0
+va (VaSet
+isHidden 1
+font "Courier New,8,0"
+)
+xt "20000,0,20000,0"
+tm "BdDeclarativeTextMgr"
+)
+)
+commonDM (CommonDM
+ldm (LogicalDM
+suid 16,0
+usingSuid 1
+emptyRow *114 (LEmptyRow
+)
+uid 364,0
+optionalChildren [
+*115 (RefLabelRowHdr
+)
+*116 (TitleRowHdr
+)
+*117 (FilterRowHdr
+)
+*118 (RefLabelColHdr
+tm "RefLabelColHdrMgr"
+)
+*119 (RowExpandColHdr
+tm "RowExpandColHdrMgr"
+)
+*120 (GroupColHdr
+tm "GroupColHdrMgr"
+)
+*121 (NameColHdr
+tm "BlockDiagramNameColHdrMgr"
+)
+*122 (ModeColHdr
+tm "BlockDiagramModeColHdrMgr"
+)
+*123 (TypeColHdr
+tm "BlockDiagramTypeColHdrMgr"
+)
+*124 (BoundsColHdr
+tm "BlockDiagramBoundsColHdrMgr"
+)
+*125 (InitColHdr
+tm "BlockDiagramInitColHdrMgr"
+)
+*126 (EolColHdr
+tm "BlockDiagramEolColHdrMgr"
+)
+*127 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "wiz_reset"
+t "std_logic"
+o 1
+suid 1,0
+)
+)
+uid 325,0
+)
+*128 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "cs"
+t "std_logic"
+o 2
+suid 2,0
+)
+)
+uid 327,0
+)
+*129 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "wr"
+t "std_logic"
+o 3
+suid 3,0
+)
+)
+uid 329,0
+)
+*130 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "rd"
+t "std_logic"
+o 4
+suid 4,0
+)
+)
+uid 331,0
+)
+*131 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "wiz_data"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 5
+suid 5,0
+)
+)
+uid 333,0
+)
+*132 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "wiz_addr"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 6
+suid 6,0
+)
+)
+uid 335,0
+)
+*133 (LeafLogPort
+port (LogicalPort
+lang 10
+m 4
+decl (Decl
+n "data_o"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 7
+suid 7,0
+)
+)
+uid 337,0
+)
+*134 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "clk"
+t "std_logic"
+o 8
+suid 8,0
+)
+)
+uid 339,0
+)
+*135 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "int"
+t "std_logic"
+o 9
+suid 9,0
+)
+)
+uid 341,0
+)
+*136 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "read_i"
+t "std_logic"
+o 10
+suid 10,0
+)
+)
+uid 343,0
+)
+*137 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "write_i"
+t "std_logic"
+o 11
+suid 11,0
+)
+)
+uid 345,0
+)
+*138 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "addr_i"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 12
+suid 12,0
+)
+)
+uid 347,0
+)
+*139 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "data_i"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 13
+suid 13,0
+)
+)
+uid 349,0
+)
+*140 (LeafLogPort
+port (LogicalPort
+lang 10
+m 4
+decl (Decl
+n "ready_o"
+t "std_logic"
+o 14
+suid 14,0
+)
+)
+uid 756,0
+)
+]
+)
+pdm (PhysicalDM
+displayShortBounds 1
+editShortBounds 1
+uid 377,0
+optionalChildren [
+*141 (Sheet
+sheetRow (SheetRow
+headerVa (MVa
+cellColor "49152,49152,49152"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+cellVa (MVa
+cellColor "65535,65535,65535"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+groupVa (MVa
+cellColor "39936,56832,65280"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+emptyMRCItem *142 (MRCItem
+litem &114
+pos 14
+dimension 20
+)
+uid 379,0
+optionalChildren [
+*143 (MRCItem
+litem &115
+pos 0
+dimension 20
+uid 380,0
+)
+*144 (MRCItem
+litem &116
+pos 1
+dimension 23
+uid 381,0
+)
+*145 (MRCItem
+litem &117
+pos 2
+hidden 1
+dimension 20
+uid 382,0
+)
+*146 (MRCItem
+litem &127
+pos 0
+dimension 20
+uid 326,0
+)
+*147 (MRCItem
+litem &128
+pos 1
+dimension 20
+uid 328,0
+)
+*148 (MRCItem
+litem &129
+pos 2
+dimension 20
+uid 330,0
+)
+*149 (MRCItem
+litem &130
+pos 3
+dimension 20
+uid 332,0
+)
+*150 (MRCItem
+litem &131
+pos 4
+dimension 20
+uid 334,0
+)
+*151 (MRCItem
+litem &132
+pos 5
+dimension 20
+uid 336,0
+)
+*152 (MRCItem
+litem &133
+pos 6
+dimension 20
+uid 338,0
+)
+*153 (MRCItem
+litem &134
+pos 7
+dimension 20
+uid 340,0
+)
+*154 (MRCItem
+litem &135
+pos 8
+dimension 20
+uid 342,0
+)
+*155 (MRCItem
+litem &136
+pos 9
+dimension 20
+uid 344,0
+)
+*156 (MRCItem
+litem &137
+pos 10
+dimension 20
+uid 346,0
+)
+*157 (MRCItem
+litem &138
+pos 11
+dimension 20
+uid 348,0
+)
+*158 (MRCItem
+litem &139
+pos 12
+dimension 20
+uid 350,0
+)
+*159 (MRCItem
+litem &140
+pos 13
+dimension 20
+uid 757,0
+)
+]
+)
+sheetCol (SheetCol
+propVa (MVa
+cellColor "0,49152,49152"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+textAngle 90
+)
+uid 383,0
+optionalChildren [
+*160 (MRCItem
+litem &118
+pos 0
+dimension 20
+uid 384,0
+)
+*161 (MRCItem
+litem &120
+pos 1
+dimension 50
+uid 385,0
+)
+*162 (MRCItem
+litem &121
+pos 2
+dimension 100
+uid 386,0
+)
+*163 (MRCItem
+litem &122
+pos 3
+dimension 50
+uid 387,0
+)
+*164 (MRCItem
+litem &123
+pos 4
+dimension 100
+uid 388,0
+)
+*165 (MRCItem
+litem &124
+pos 5
+dimension 100
+uid 389,0
+)
+*166 (MRCItem
+litem &125
+pos 6
+dimension 50
+uid 390,0
+)
+*167 (MRCItem
+litem &126
+pos 7
+dimension 80
+uid 391,0
+)
+]
+)
+fixedCol 4
+fixedRow 2
+name "Ports"
+uid 378,0
+vaOverrides [
+]
+)
+]
+)
+uid 363,0
+)
+genericsCommonDM (CommonDM
+ldm (LogicalDM
+emptyRow *168 (LEmptyRow
+)
+uid 393,0
+optionalChildren [
+*169 (RefLabelRowHdr
+)
+*170 (TitleRowHdr
+)
+*171 (FilterRowHdr
+)
+*172 (RefLabelColHdr
+tm "RefLabelColHdrMgr"
+)
+*173 (RowExpandColHdr
+tm "RowExpandColHdrMgr"
+)
+*174 (GroupColHdr
+tm "GroupColHdrMgr"
+)
+*175 (NameColHdr
+tm "GenericNameColHdrMgr"
+)
+*176 (TypeColHdr
+tm "GenericTypeColHdrMgr"
+)
+*177 (InitColHdr
+tm "GenericValueColHdrMgr"
+)
+*178 (PragmaColHdr
+tm "GenericPragmaColHdrMgr"
+)
+*179 (EolColHdr
+tm "GenericEolColHdrMgr"
+)
+*180 (LogGeneric
+generic (GiElement
+name "TIME_UNTIL_READ_READY"
+type "integer"
+value "4"
+)
+uid 9,0
+)
+*181 (LogGeneric
+generic (GiElement
+name "TIME_UNTIL_READ_READY"
+type "integer"
+value "4"
+)
+uid 11,0
+)
+]
+)
+pdm (PhysicalDM
+displayShortBounds 1
+editShortBounds 1
+uid 405,0
+optionalChildren [
+*182 (Sheet
+sheetRow (SheetRow
+headerVa (MVa
+cellColor "49152,49152,49152"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+cellVa (MVa
+cellColor "65535,65535,65535"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+groupVa (MVa
+cellColor "39936,56832,65280"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+)
+emptyMRCItem *183 (MRCItem
+litem &168
+pos 2
+dimension 20
+)
+uid 407,0
+optionalChildren [
+*184 (MRCItem
+litem &169
+pos 0
+dimension 20
+uid 408,0
+)
+*185 (MRCItem
+litem &170
+pos 1
+dimension 23
+uid 409,0
+)
+*186 (MRCItem
+litem &171
+pos 2
+hidden 1
+dimension 20
+uid 410,0
+)
+*187 (MRCItem
+litem &180
+pos 0
+dimension 20
+uid 10,0
+)
+*188 (MRCItem
+litem &181
+pos 1
+dimension 20
+uid 12,0
+)
+]
+)
+sheetCol (SheetCol
+propVa (MVa
+cellColor "0,49152,49152"
+fontColor "0,0,0"
+font "Tahoma,10,0"
+textAngle 90
+)
+uid 411,0
+optionalChildren [
+*189 (MRCItem
+litem &172
+pos 0
+dimension 20
+uid 412,0
+)
+*190 (MRCItem
+litem &174
+pos 1
+dimension 50
+uid 413,0
+)
+*191 (MRCItem
+litem &175
+pos 2
+dimension 100
+uid 414,0
+)
+*192 (MRCItem
+litem &176
+pos 3
+dimension 100
+uid 415,0
+)
+*193 (MRCItem
+litem &177
+pos 4
+dimension 50
+uid 416,0
+)
+*194 (MRCItem
+litem &178
+pos 5
+dimension 50
+uid 417,0
+)
+*195 (MRCItem
+litem &179
+pos 6
+dimension 80
+uid 418,0
+)
+]
+)
+fixedCol 3
+fixedRow 2
+name "Ports"
+uid 406,0
+vaOverrides [
+]
+)
+]
+)
+uid 392,0
+type 1
+)
+activeModelName "BlockDiag"
+)
